%define qemu_name	qemu
%define qemu_version	2.1.3
%define qemu_rel	2
%define subrel		3
#define qemu_snapshot	rc2
#define qemu_snapshot_prefix 0

%define qemu_release	%mkrel %{?qemu_snapshot:%{qemu_snapshot_prefix}.%{qemu_snapshot}.}%{qemu_rel}
%define qemu_pkgver     %{qemu_name}-%{qemu_version}%{?qemu_snapshot:-%{qemu_snapshot}}

Summary:	QEMU CPU Emulator
Name:		qemu
Version:	%{qemu_version}
Release:	%{qemu_release}
Source0:	http://wiki.qemu-project.org/download/%{qemu_name}-%{version}%{?qemu_snapshot:-%{qemu_snapshot}}.tar.bz2
Source1:	kvm.modules
# KSM control scripts
Source4:	ksm.service
Source5:	ksm.sysconfig
Source6:	ksmtuned.service
Source7:	ksmtuned
Source8:	ksmtuned.conf
Source9:	ksmctl.c

License:	GPLv2+
URL:		http://wiki.qemu.org/Main_Page
Group:		Emulators
Provides:	kvm
Requires:	qemu-img = %{version}-%{release}
# for %%{_sysconfdir}/sasl2
Requires:	cyrus-sasl
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	libtool
BuildRequires:	libSDL-devel
BuildRequires:	texi2html
BuildRequires:	e2fsprogs-devel
BuildRequires:	kernel-headers	
BuildRequires:	pulseaudio-devel
BuildRequires:	zlib-devel
BuildRequires:	brlapi-devel
BuildRequires:	gnutls-devel
BuildRequires:	libsasl-devel
BuildRequires:	pciutils-devel
BuildRequires:	texinfo
BuildRequires:	vde-devel
BuildRequires:	bluez-devel
BuildRequires:	curl-devel
BuildRequires:	pkgconfig(libusbredirparser-0.5) >= 0.6
BuildRequires:	libuuid-devel
BuildRequires:	pkgconfig(libpng)
BuildRequires:	libaio-devel
BuildRequires:	cap-ng-devel
# for virtfs
BuildRequires:	cap-devel
BuildRequires:	attr-devel
# for direct xfs access with raw device
BuildRequires:  libxfs-devel
BuildRequires:  pkgconfig(libcacard)
# USB features
BuildRequires:  pkgconfig(libusb-1.0)
BuildRequires:  usbredir-devel

%ifarch %{ix86} x86_64
BuildRequires: spice-protocol >= 0.8.1
BuildRequires: spice-server-devel >= 0.9.0
BuildRequires: xen-devel >= 4.1.2
%endif

BuildRequires:	dev86
BuildRequires:	iasl
ExclusiveArch:	%{ix86} ppc x86_64 amd64 %{sunsparc}

#http://lists.gnu.org/archive/html/qemu-devel/2014-01/msg01035.html
Patch0: qemu-2.0.0-mga-compile-fix.patch

# Fedora patches
# Allow aarch64 to boot compressed kernel
Patch0001: 0001-loader-Add-load_image_gzipped-function.patch
Patch0002: 0002-aarch64-Allow-kernel-option-to-take-a-gzip-compresse.patch
# Fix crash in curl driver
Patch0003: 0003-block.curl-adding-timeout-option.patch
Patch0004: 0004-curl-Allow-a-cookie-or-cookies-to-be-sent-with-http-.patch
Patch0005: 0005-curl-Don-t-deref-NULL-pointer-in-call-to-aio_poll.patch
# Fix PPC virtio regression (bz #1144490)
Patch0006: 0006-virtio-pci-fix-migration-for-pci-bus-master.patch
Patch0007: 0007-Revert-virtio-pci-fix-migration-for-pci-bus-master.patch
# Fix qemu-img convert corruption for unflushed files (bz #1167249)
Patch0008: 0008-block-raw-posix-Fix-disk-corruption-in-try_fiemap.patch
Patch0009: 0009-block-raw-posix-use-seek_hole-ahead-of-fiemap.patch
# Fix USB host assignment (bz #1187749)
Patch0010: 0010-usb-host-fix-usb_host_speed_compat-tyops.patch
# Qemu: PRDT overflow from guest to host (bz #1204919, bz #1205322)
Patch0011: 0011-ide-Correct-handling-of-malformed-short-PRDTs.patch
# CVE-2014-8106: cirrus: insufficient blit region checks (bz #1170612,
# bz #1169454)
Patch0012: 0012-cirrus-fix-blit-region-check.patch
Patch0013: 0013-cirrus-don-t-overflow-CirrusVGAState-cirrus_bltbuf.patch
# Fix .vdi disk corruption (bz #1199400)
Patch0014: 0014-block-vdi-Add-locking-for-parallel-requests.patch
# CVE-2015-1779 vnc: insufficient resource limiting in VNC websockets
# decoder (bz #1205051, bz #1199572)
Patch0015: 0015-CVE-2015-1779-incrementally-decode-websocket-frames.patch
Patch0016: 0016-CVE-2015-1779-limit-size-of-HTTP-headers-from-websoc.patch
# Fix qemu-img error (bz #1200043)
Patch0017: 0017-block-Fix-max-nb_sectors-in-bdrv_make_zero.patch
# CVE-2015-3456: (VENOM) fdc: out-of-bounds fifo buffer memory access
# (bz #1221152)
Patch0018: 0018-fdc-force-the-fifo-access-to-be-in-bounds-of-the-all.patch
# User interface freezes when entering space character in Xfig (bz
# #1151253)
Patch0019: 0019-qxl-keep-going-if-reaching-guest-bug-on-empty-area.patch
# CVE-2015-4037: insecure temporary file use in /net/slirp.c (bz
# #1222894)
Patch0020: 0020-slirp-use-less-predictable-directory-name-in-tmp-for.patch
# Backport {Haswell,Broadwell}-noTSX cpu models (bz #1213053)
Patch0021: 0021-target-i386-Haswell-noTSX-and-Broadwell-noTSX.patch
Patch0022: 0022-CVE-2015-3214-i8254-out-of-bounds-pit.patch
Patch0023: 0023-CVE-2015-5154-check-ide-array-bounds-patch.patch
Patch0024: 0024-CVE-2015-3209-fix-pcnet-heap-buffer-overflow.patch
Patch0025: 0025-CVE-2015-4103-gate-xen-pci-cfg-contents.patch
Patch0026: 0026-CVE-2015-4104-xen-dont-allow-guest-control-msi-mask.patch
Patch0027: 0027-CVE-2015-4105-xen-limit-msi-error-messages.patch
Patch0028: 0028-CVE-2015-4106-xen-improper-restrict-pci-config-space.patch
# https://github.com/qemu/qemu/commit/7882080388be5088e72c425b02223c02e6cb4295
# virtio-serial: fix ANY_LAYOUT
Patch0029: qemu-2.4.0-rc3-CVE-2015-5745.patch

%description
QEMU is a FAST! processor emulator. By using dynamic translation it
achieves a reasonnable speed while being easy to port on new host
CPUs. QEMU has two operating modes:

* User mode emulation. In this mode, QEMU can launch Linux processes
  compiled for one CPU on another CPU. Linux system calls are
  converted because of endianness and 32/64 bit mismatches. Wine
  (Windows emulation) and DOSEMU (DOS emulation) are the main targets
  for QEMU.

* Full system emulation. In this mode, QEMU emulates a full system,
  including a processor and various peripherials. Currently, it is
  only used to launch an x86 Linux kernel on an x86 Linux system. It
  enables easier testing and debugging of system code. It can also be
  used to provide virtual hosting of several virtual PC on a single
  server.

%package img
Summary:	QEMU disk image utility
Group:		Emulators
Version:	%{qemu_version}
Release:	%{qemu_release}

%description img
This package contains the QEMU disk image utility that is used to
create, commit, convert and get information from a disk image.

%prep
%setup -q -n %{qemu_pkgver}
%apply_patches

%build
extraldflags="-Wl,--build-id";
buildldflags="VL_LDFLAGS=-Wl,--build-id"

%ifarch %{ix86} x86_64
./configure \
	--target-list=x86_64-softmmu \
	--prefix=%{_prefix} \
	--sysconfdir=%{_sysconfdir} \
	--audio-drv-list=pa,sdl,alsa,oss \
	--enable-spice \
	--enable-xen \
	--enable-xen-pci-passthrough \
        --enable-libusb \
        --enable-linux-aio \
        --enable-usb-redir \
	--disable-kvm \
	--extra-ldflags=$extraldflags \
	--extra-cflags="$CFLAGS"

%make V=1 $buildldflags
cp -a x86_64-softmmu/qemu-system-x86_64 qemu-xen
%make clean

# sdl outputs to alsa or pulseaudio depending on system config, but it's broken (RH bug #495964)
# alsa works, but causes huge CPU load due to bugs
# oss works, but is very problematic because it grabs exclusive control of the device causing other apps to go haywire
./configure \
	--target-list=x86_64-softmmu \
	--prefix=%{_prefix} \
	--sysconfdir=%{_sysconfdir} \
	--audio-drv-list=pa,sdl,alsa,oss \
	--enable-spice \
	--enable-kvm \
        --enable-libusb \
        --enable-linux-aio \
        --enable-usb-redir \
	--disable-xen \
	--extra-ldflags=$extraldflags \
	--extra-cflags="$CFLAGS"

%make V=1 $buildldflags
cp -a x86_64-softmmu/qemu-system-x86_64 qemu-kvm
%make clean

%endif

./configure \
	--target-list="i386-softmmu x86_64-softmmu arm-softmmu cris-softmmu m68k-softmmu \
		mips-softmmu mipsel-softmmu mips64-softmmu mips64el-softmmu ppc-softmmu \
		ppcemb-softmmu ppc64-softmmu sh4-softmmu sh4eb-softmmu sparc-softmmu \
		i386-linux-user x86_64-linux-user alpha-linux-user arm-linux-user \
		armeb-linux-user cris-linux-user m68k-linux-user mips-linux-user \
		mipsel-linux-user ppc-linux-user ppc64-linux-user ppc64abi32-linux-user \
		sh4-linux-user sh4eb-linux-user sparc-linux-user sparc64-linux-user \
		sparc32plus-linux-user" \
	--prefix=%{_prefix} \
	--sysconfdir=%{_sysconfdir} \
	--interp-prefix=%{_prefix}/qemu-%%M \
	--audio-drv-list=pa,sdl,alsa,oss \
        --enable-linux-aio \
        --enable-libusb \
        --enable-usb-redir \
	--disable-kvm \
	--disable-xen \
%ifarch %{ix86} x86_64
	--enable-spice \
%endif
	--extra-ldflags=$extraldflags \
	--extra-cflags="$CFLAGS"

%make V=1 $buildldflags

gcc %{SOURCE9} -O2 -g -o ksmctl

%install
install -D -p -m 0644 %{SOURCE4} %{buildroot}/%{_unitdir}/ksm.service
install -D -p -m 0644 %{SOURCE5} %{buildroot}/%{_sysconfdir}/sysconfig/ksm
install -D -p -m 0755 ksmctl %{buildroot}/lib/systemd/ksmctl

install -D -p -m 0644 %{SOURCE6} %{buildroot}/%{_unitdir}/ksmtuned.service
install -D -p -m 0755 %{SOURCE7} %{buildroot}/%{_sbindir}/ksmtuned
install -D -p -m 0644 %{SOURCE8} %{buildroot}/%{_sysconfdir}/ksmtuned.conf

%ifarch %{ix86} x86_64
mkdir -p %{buildroot}/%{_sysconfdir}/sysconfig/modules
mkdir -p %{buildroot}/%{_bindir}/
mkdir -p %{buildroot}/%{_datadir}/%{name}

install -m 0755 %{SOURCE1} %{buildroot}/%{_sysconfdir}/sysconfig/modules/kvm.modules
install -m 0755 qemu-kvm %{buildroot}/%{_bindir}/
install -m 0755 qemu-xen %{buildroot}/%{_bindir}/
%endif

%makeinstall_std BUILD_DOCS="yes"

install -D -p -m 0644 qemu.sasl %{buildroot}/%{_sysconfdir}/sasl2/qemu.conf

# remove unpackaged files
rm -rf %{buildroot}/%{_docdir}/qemu %{buildroot}%{_bindir}/vscclient
rm -f %{buildroot}/%{_libdir}/libcacard*
rm -f %{buildroot}/usr/lib/libcacard*
rm -f %{buildroot}/%{_libdir}/pkgconfig/libcacard.pc
rm -f %{buildroot}/usr/lib/pkgconfig/libcacard.pc
rm -rf %{buildroot}/%{_includedir}/cacard
%find_lang %{name}

%post 
%ifarch %{ix86} x86_64
# load kvm modules now, so we can make sure no reboot is needed.
# If there's already a kvm module installed, we don't mess with it
sh /%{_sysconfdir}/sysconfig/modules/kvm.modules
%endif
%_post_service ksmtuned
%_post_service ksm

%preun
%_preun_service ksm
%_preun_service ksmtuned



%files -f %{name}.lang
%doc README qemu-doc.html qemu-tech.html
%config(noreplace)%{_sysconfdir}/sasl2/qemu.conf
%{_unitdir}/ksm.service
/lib/systemd/ksmctl
%config(noreplace) %{_sysconfdir}/sysconfig/ksm
%{_unitdir}/ksmtuned.service
%{_sbindir}/ksmtuned
%config(noreplace) %{_sysconfdir}/ksmtuned.conf
%{_sysconfdir}/sysconfig/modules/kvm.modules
%{_sysconfdir}/qemu/target-x86_64.conf
%{_bindir}/qemu-io
%{_bindir}/qemu-kvm
%{_bindir}/qemu-xen
%{_bindir}/qemu-alpha
%{_bindir}/qemu-arm*
%{_bindir}/qemu-cris
%{_bindir}/qemu-ga
%{_bindir}/qemu-i386
%{_bindir}/qemu-m68k
%{_bindir}/qemu-mips*
%{_bindir}/qemu-nbd
%{_bindir}/qemu-ppc*
%{_bindir}/qemu-sh4*
%{_bindir}/qemu-sparc*
%{_bindir}/qemu-x86_64
%{_bindir}/qemu-system-arm
%{_bindir}/qemu-system-cris
%{_bindir}/qemu-system-m68k
%{_bindir}/qemu-system-sh4*
%{_bindir}/qemu-system-ppc*
%{_bindir}/qemu-system-mips*
%{_bindir}/qemu-system-sparc
%{_bindir}/qemu-system-x86_64
%{_bindir}/qemu-system-i386
%{_bindir}/virtfs-proxy-helper
%{_mandir}/man1/qemu.1*
%{_mandir}/man8/qemu-nbd.8*
%{_mandir}/man1/virtfs-proxy-helper.*
%dir %{_datadir}/qemu
%{_datadir}/qemu/*.aml
%{_datadir}/qemu/*.bin
%{_datadir}/qemu/*.img
%{_datadir}/qemu/*.rom
%{_datadir}/qemu/u-boot.e500
%{_datadir}/qemu/keymaps
%{_datadir}/qemu/openbios-sparc32
%{_datadir}/qemu/openbios-sparc64
%{_datadir}/qemu/openbios-ppc
%{_datadir}/qemu/*.dtb
%{_datadir}/qemu/palcode-clipper
%{_datadir}/qemu/qemu-icon.bmp
/usr/libexec/qemu-bridge-helper
%{_datadir}/qemu/*.svg

%files img
%{_bindir}/qemu-img
%{_mandir}/man1/qemu-img.1*




%changelog
* Fri Aug 07 2015 joequant <joequant> 2.1.3-2.3.mga5
+ Revision: 861516
- add security patches for 3209 and 4106
- add fixes for CVE-2015-3214 and CVE-2015-5154

  + luigiwalser <luigiwalser>
    - add upstream patch to fix CVE-2015-5745
    - resync with f21 (as of 20150611), including a fix for CVE-2015-4037

* Wed May 13 2015 luigiwalser <luigiwalser> 2.1.3-2.mga5
+ Revision: 822016
- add patch from fedora to fix rhbz#1200043
- add patch from redhat to fix CVE-2015-3456

* Thu Apr 09 2015 luigiwalser <luigiwalser> 2.1.3-1.mga5
+ Revision: 819992
- resync with Fedora 21:
  - 2.1.3
  - add several upstream patches including ones to fix CVE-2015-1779

* Tue Feb 03 2015 akien <akien> 2.1.2-5.mga5
+ Revision: 813310
- Rebuild for new xen

* Wed Dec 10 2014 luigiwalser <luigiwalser> 2.1.2-4.mga5
+ Revision: 802606
- add upstream patches to fix CVE-2014-8106

* Thu Dec 04 2014 luigiwalser <luigiwalser> 2.1.2-3.mga5
+ Revision: 801473
- add newest patches from fedora, including fix for CVE-2014-7840

* Thu Nov 06 2014 luigiwalser <luigiwalser> 2.1.2-2.mga5
+ Revision: 795981
- add patches from fedora to fix CVE-2014-3689 and CVE-2014-7815 and other bugs

* Mon Sep 29 2014 bcornec <bcornec> 2.1.2-1.mga5
+ Revision: 731646
- Update sha file
- Update to upstream 2.1.2 qemu

* Fri Sep 12 2014 tv <tv> 2.1.1-1.mga5
+ Revision: 674791
- new release

* Sat Aug 02 2014 tv <tv> 2.1.0-1.mga5
+ Revision: 659181
- adjust file list
- new release

* Mon May 12 2014 joequant <joequant> 2.0.0-1.mga5
+ Revision: 622069
- release 2.0.0

* Sun Apr 13 2014 joequant <joequant> 2.0.0-0.3.rc2.2.mga5
+ Revision: 613736
- fix usb devel
- add build requires
- enable usb and linux-aio

* Thu Apr 10 2014 joequant <joequant> 2.0.0-0.3.rc2.1.mga5
+ Revision: 613178
- update to rc2 and workaround package numbering mistake

* Sun Mar 30 2014 tv <tv> 2.0.0-0.3.rc0.mga5
+ Revision: 610379
- rebuild for new xen

* Mon Mar 24 2014 oden <oden> 2.0.0-0.2.rc0.mga5
+ Revision: 607898
- rebuilt against usbredir-0.6

* Wed Mar 19 2014 joequant <joequant> 2.0.0-0.1.rc0.mga5
+ Revision: 605561
- upgrade to qemu 2.0

* Wed Feb 05 2014 luigiwalser <luigiwalser> 1.6.2-1.mga5
+ Revision: 583762
- 1.6.2
- add patches from fedora to fix CVE-2013-4377

* Tue Oct 15 2013 dams <dams> 1.6.1-2.mga4
+ Revision: 501216
- Rebuild for new libxen*

* Thu Oct 10 2013 luigiwalser <luigiwalser> 1.6.1-1.mga4
+ Revision: 494548
- 1.6.1

* Sat Aug 31 2013 fwang <fwang> 1.6.0-3.mga4
+ Revision: 473656
- rebuild for new sasl

* Tue Aug 27 2013 luigiwalser <luigiwalser> 1.6.0-2.mga4
+ Revision: 472088
- rebuild for cyrus-sasl

* Mon Aug 19 2013 joequant <joequant> 1.6.0-1.mga4
+ Revision: 467681
- upgrade to 1.6.0

* Tue Jul 23 2013 luigiwalser <luigiwalser> 1.5.0-4.mga4
+ Revision: 457471
- add patches from redhat to fix CVE-2013-2231

* Mon Jun 03 2013 fwang <fwang> 1.5.0-3.mga4
+ Revision: 436076
- rebuild for new libpng

* Sat Jun 01 2013 sander85 <sander85> 1.5.0-2.mga4
+ Revision: 434028
- Rebuild for new brltty

* Tue May 28 2013 tv <tv> 1.5.0-1.mga4
+ Revision: 429348
- new release
- drop merged patches
- drop obsolete obsoletes tag
- do not use embedded libcacard

* Thu Apr 25 2013 luigiwalser <luigiwalser> 1.2.0-8.mga3
+ Revision: 411183
- add patch from fedora to fix CVE-2013-1922

* Wed Mar 06 2013 alien <alien> 1.2.0-7.mga3
+ Revision: 401563
- Build native qemu-xen

* Wed Jan 16 2013 luigiwalser <luigiwalser> 1.2.0-6.mga3
+ Revision: 388815
- add patches from upstream via debian to fix CVE-2012-6075

* Wed Jan 09 2013 pterjan <pterjan> 1.2.0-5.mga3
+ Revision: 343878
- Rebuild for new libxen*

* Tue Dec 25 2012 cjw <cjw> 1.2.0-4.mga3
+ Revision: 334857
- patch1: fix crashes with vmvga graphics + spice
- add BuildRequires: pkgconfig(libpng) xen-devel libaio-devel cap-ng-devel cap-devel attr-devel

* Fri Sep 07 2012 guillomovitch <guillomovitch> 1.2.0-3.mga3
+ Revision: 289178
- drop smartcard support (conflict with libcaca-tools)

* Thu Sep 06 2012 guillomovitch <guillomovitch> 1.2.0-2.mga3
+ Revision: 288853
- add smartcard NSS support
- add systemd support
- drop sysinit support

* Wed Sep 05 2012 tv <tv> 1.2.0-1.mga3
+ Revision: 288693
- further adjust file list
- adjust file list
- new release
- drop merged patches

  + luigiwalser <luigiwalser>
    - add patch from RedHat to fix CVE-2012-3515

* Tue Jul 10 2012 luigiwalser <luigiwalser> 1.0-7.mga3
+ Revision: 269332
- re-diff upstream patch to fix CVE-2012-2652

* Sat Apr 14 2012 kamil <kamil> 1.0-6.mga2
+ Revision: 230742
- add P0: upstream-support-for-udp-unicast-network-backend.patch

* Mon Mar 05 2012 misc <misc> 1.0-5.mga2
+ Revision: 219367
- rebuild for new vde

* Fri Mar 02 2012 misc <misc> 1.0-4.mga2
+ Revision: 216760
- enable mixer emulation ( for spice )
- fix the BuildRequires for usb-redir

* Fri Mar 02 2012 misc <misc> 1.0-3.mga2
+ Revision: 216752
- add xfs raw direct access support
- also add support for uuid generation
- add support for usb redirection

* Fri Mar 02 2012 misc <misc> 1.0-2.mga2
+ Revision: 216745
- add support for curl download
- add support for bluetooth stack
- as explained in the qemu changelog, the qemu binary is no more, and will
  be replaced in the future by a specific tool, so do not try to put
  specific symlink for that ( see http://wiki.qemu.org/ChangeLog/1.0 )
- fix build with Fedora patch
- revert last change, as asked by coling on irc, to keep patching as minimal as possible
- remove patch0 to add a fedora13 machine type ( not needed anymore )
- Update to 1.0

  + colin <colin>
    - Fix build (upstream patch)
    - Fix pidfile to match LSB header in sysvinit script

* Wed Jan 11 2012 ovitters <ovitters> 0.15.1-2.mga2
+ Revision: 194839
- enable spice support (needed for gnome-boxes)

  + dmorgan <dmorgan>
    - New version 0.15.1

* Wed Sep 28 2011 boklm <boklm> 0.15.0-2.mga2
+ Revision: 149704
- fix dependency on texi2html

  + tv <tv>
    - fix file list
    - new release
    - drop patch 1 (merged)

  + fwang <fwang>
    - fix build with latest pulseaudio
    - add default-stop
    - rebuild for new gnutls

* Sat Jun 18 2011 cjw <cjw> 0.14.1-1.mga2
+ Revision: 109334
- 0.14.1
- drop patch1 and patch3, included upstream

* Tue May 03 2011 misc <misc> 0.14.0-5.mga1
+ Revision: 94340
- add fix for CVE-2011-1750, patch from debian and upstream

* Sat Apr 16 2011 blino <blino> 0.14.0-4.mga1
+ Revision: 86505
- sync ksm initscripts with Fedora (to silence an error about missing max_kernel_pages with current kernels)

* Tue Apr 05 2011 misc <misc> 0.14.0-3.mga1
+ Revision: 80843
- rebuild
- remove old comments and all trace of kvmtrace
- add comments about obsoletes and trigger to remove
- remove old commented part of the spec about kvmtrace ( tool deprecated upstream )
- remove hack around mtune, since this is the default flag it is supported by gcc or not specified,
  and as the remplacement is using pentiumpro, this is already highly x86 specific )
- qemu do not seems to use private symbol of glibc, so remove the hack to filter them

* Tue Apr 05 2011 misc <misc> 0.14.0-2.mga1
+ Revision: 80767
- reenable vde, Fedora not using it is not a reason for us to not use it
- use single digit for patch, more readable
- add comments on the 2 patchs
- remove old patch not referenced in spec

* Mon Mar 07 2011 saispo <saispo> 0.14.0-1.mga1
+ Revision: 65897
- Remove video.x file
- Fix apply patch00 and patch01
- Add two patches come from Fedora
- Disable vde-devel BuildRequires, don't need it
- New release 0.14.0

  + misc <misc>
    - fix License
    - enable vde support ( since we do not have main/contribs )
    - clean overzealous requires
    - remove old conflicts against 2007.1 packages
    - imported package qemu

